org.apache.olingo.commons.api.edm.provider.annotation

## Class CsdlCollection

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlExpression
    - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlDynamicExpression
      - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlCollection

-     public class CsdlCollection
      extends CsdlDynamicExpression

  The edm:Collection expression enables a value to be obtained from zero or more child expressions. The value calculated by the collection expression is the collection of the values calculated by each of the child expressions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlCollection()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `List<CsdlExpression>` | `getItems()` Returns a list of child expression
    `int` | `hashCode()`
    `CsdlCollection` | `setItems(List<CsdlExpression> items)` Returns a list of child expression

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.annotation.CsdlDynamicExpression

      `asAnnotationPath, asApply, asCast, asCollection, asIf, asIsOf, asLabeledElement, asLabeledElementReference, asLogicalOrComparison, asNavigationPropertyPath, asNull, asPath, asPropertyPath, asRecord, asUrlRef, isAnnotationPath, isApply, isCast, isCollection, isIf, isIsOf, isLabeledElement, isLabeledElementReference, isLogicalOrComparison, isNavigationPropertyPath, isNull, isPath, isPropertyPath, isRecord, isUrlRef`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.annotation.CsdlExpression

      `asConstant, asDynamic, isConstant, isDynamic`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlCollection

          public CsdlCollection()

  - ### Method Detail

    - #### getItems

          public List<CsdlExpression> getItems()

      Returns a list of child expression
      Returns:
        List of child expression

    - #### setItems

          public CsdlCollection setItems(List<CsdlExpression> items)

      Returns a list of child expression
      Returns:
        List of child expression

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.